'use client'
import React from "react";
import {AlertTriangle, Brain} from "lucide-react";
import ToggleField from "@/components/form/ToggleField";
import {useTranslations} from '@/lib/i18n';

interface AdvancedGenerationOptionsProps {
    useExplicit: boolean;
    setUseExplicit: (value: boolean) => void;
    useSmart: boolean;
    setUseSmart: (value: boolean) => void;
}

export default function AdvancedGenerationOptions({
                                                      useExplicit,
                                                      setUseExplicit,
                                                      useSmart,
                                                      setUseSmart
                                                  }: AdvancedGenerationOptionsProps) {
    const t = useTranslations();

    return (
        <div className="flex justify-evenly items-center">
            <ToggleField
                icon={AlertTriangle}
                label={t("generationOptions.explicit.label")}
                checked={useExplicit}
                onChange={setUseExplicit}
                alertTitle={t("generationOptions.explicit.alertTitle")}
                alertMessage={t("generationOptions.explicit.alertMessage")}
                alertType="alert"
                confirmText={t("generationOptions.activate")}
                cancelText={t("generationOptions.cancel")}
            />
            <ToggleField
                icon={Brain}
                label={t("generationOptions.smart.label")}
                checked={useSmart}
                onChange={setUseSmart}
                alertTitle={t("generationOptions.smart.alertTitle")}
                alertMessage={t("generationOptions.smart.alertMessage")}
                alertType="informatif"
                confirmText={t("generationOptions.activate")}
                cancelText={t("generationOptions.cancel")}
            />
        </div>
    );
}
